Skip to main content
GET
/
schedule-management
/
v1
/
mabis
/
clearing-periods
/
{uid}
/
messages
List Messages
curl --request GET \
  --url https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "clearing_period_uid": "<string>",
    "created_ts": "<string>",
    "direction": "<string>",
    "message_type": "<string>",
    "reference_id": "<string>",
    "status": "<string>",
    "uid": "<string>",
    "error_message": "<string>",
    "received_ts": "<string>",
    "sent_ts": "<string>"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

uid
string<uuid>
required

Clearing period unique identifier.

Query Parameters

message_type
string | null

Filter by EDIFACT message type: MSCONS, PRICAT, UTILMD, IFTSTA, PARTIN.

direction
string | null

Filter by direction: inbound or outbound.

status
string | null

Filter by processing status: pending, processed, failed, or acknowledged.

Response

Successful Response

clearing_period_uid
string
required

Parent Clearing Period identifier.

created_ts
string
required

ISO 8601 datetime when this record was created.

Example:

"2026-02-20T08:00:00+00:00"

direction
string
required

Message direction: inbound (received from TSO/DSO) or outbound (sent to TSO/DSO).

Examples:

"inbound"

"outbound"

message_type
string
required

EDIFACT message type: MSCONS, PRICAT, UTILMD, IFTSTA, PARTIN, etc.

Examples:

"MSCONS"

"PRICAT"

"IFTSTA"

reference_id
string
required

EDIFACT reference identifier for this message.

Example:

"MSCONS-20260115-001"

status
string
required

Processing status: pending, processed, failed, or acknowledged.

Examples:

"processed"

"pending"

uid
string
required

Unique identifier for this message record.

Example:

"f8a9b0c1-d2e3-4f4a-8b5c-6d7e8f9a0b1c"

error_message
string | null

Error description if processing failed.

received_ts
string | null

ISO 8601 datetime when the message was received (inbound only).

sent_ts
string | null

ISO 8601 datetime when the message was sent (outbound only).